aboutsummaryrefslogtreecommitdiff
path: root/src/ntp/ntpdate
diff options
context:
space:
mode:
Diffstat (limited to 'src/ntp/ntpdate')
-rwxr-xr-xsrc/ntp/ntpdate29
1 files changed, 29 insertions, 0 deletions
diff --git a/src/ntp/ntpdate b/src/ntp/ntpdate
new file mode 100755
index 0000000..a8e7467
--- /dev/null
+++ b/src/ntp/ntpdate
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/ntpd.conf
+
+case "$1" in
+ start)
+ stat_busy "Starting NTP Client"
+ if /usr/bin/ntpd -q ${NTP_CLIENT_OPTION} &>/dev/null; then
+ add_daemon ntpdate
+ stat_done
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping NTP Client"
+ rm_daemon ntpdate
+ stat_done
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac